---
title: Creating a new project
subtitle: Learn how to create a new dataform web project and connect to your warehouse.
---

This tutorial demonstrates the first few steps in configuring a new project.

Google BigQuery is used as the data warehouse in this example. 

## Log in or sign up

After opening [the app](https://app.dataform.co/).

![Sign up](/static/images/how_to_guides/dataform_101/1_sign_up.png)

If not signing in with GitHub, Google or Microsoft then you will need to verify your email address.

## Create new project

This will create a new, empty project.

![New project](/static/images/how_to_guides/dataform_101/2_new_project.png)

## Give the project an inspirational name

![Project name](/static/images/how_to_guides/dataform_101/3_project_name.png)

## Choose to "create a table" from the file templates

Ignore the instruction to the configure the data warehouse; we'll do that next.

![File templates](/static/images/how_to_guides/dataform_101/4_file_templates.png)

## Connect to your warehouse

Big green button towards towards the central right.

![Create table](/static/images/how_to_guides/dataform_101/5_create_table.png)

## Select Google BigQuery

Input the project ID. For alternatives warehouses, see [here](../guides/set-up-warehouse).

![Add warehouse](/static/images/how_to_guides/dataform_101/6_add_warehouse.png)

## Select and test the server

Input, credentials, and test that they are valid. See [here](../guides/set-up-warehouse) for how to create a JSON credentials key.

![Test server](/static/images/how_to_guides/dataform_101/7_test_server.png)

## Preview the results

This shows the exact affect it will have on the warehouse.

![Preview results](/static/images/how_to_guides/dataform_101/8_preview_results.png)

## Publish the table

![Publish table](/static/images/how_to_guides/dataform_101/9_publish_table.png)

## Next Steps

You've taken the first steps towards improving your data pipeline!

Some of the next features you could use next include:

- Automating repeated runs using [scheduling](../guides/scheduling).

- Checking validity of data using [assertions](../../guides/assertions) or [unit tests](../../guides/tests).

- [Documenting datasets](../../guides/documentation).
